Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Programmierung
  3D Spline zwischen einer Menge an Punkten

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   3D Spline zwischen einer Menge an Punkten (195 mal gelesen)
z3us1911
Mitglied


Sehen Sie sich das Profil von z3us1911 an!   Senden Sie eine Private Message an z3us1911  Schreiben Sie einen Gästebucheintrag für z3us1911

Beiträge: 2
Registriert: 05.07.2019

erstellt am: 05. Jul. 2019 10:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

vorab. Dies ist mein erster Beitrag in diesem Forum falls ich also irgend etwas falsch mache, wäre es lieb wenn Ihr mich darauf hinweisen könntet.

Nun zu meiner Frage:

Ich bin gerade dabei mich in die Programmierung von Catiascript einzuarbeiten. Das klappt soweit auch schon ganz gut allerdings komme ich gerade weder mit Büchern noch mit forumlesen weiter. Ich habe ein Makro erstellt welches Punkte aus einer Exceldatei in Catia überträgt soweit so gut. Jetzt möchte ich diese Punkte gern über EINEN Spline verbinden. Mein bisheriger Code sieht folgendermaßen aus.

Code:

Dim MeinPart As Part
Set MeinPart = CATIA.ActiveDocument.Part
Dim Wzk3D As Factory
Set Wzk3D = MeinPart.HybridShapeFactory

'Geometrisches Set deklarieren
Dim HBody As HybridBody
Set HBody = MeinPart.HybridBodies.Item ("Geometrisches Set.1")

'Geometrie vordefinieren
Dim P1, P2
Set P1 = HBody.HybridShapes.Item ("Punkt.1")
Set P2 = HBody.HybridShapes.Item ("Punkt.2")
Set P3 = HBody.HybridShapes.Item ("Punkt.3")
Set P4 = HBody.HybridShapes.Item ("Punkt.4") 

Dim Spline As HybridShapeSpline
Set Spline = Wzk3D.AddNewSpline ()

Spline.SetSplineType 0
Spline.SetClosing 0

Spline.AddPoint P1
Spline.AddPoint P2
Spline.AddPoint P3
Spline.AddPoint P4

'Geometrie dem geometrischen Set zuweisen
HBody.AppendHybridShape Spline
MeinPart.Update


Das Script funktioniert, es ist jedoch Aufwendig alle Einzelpunkte die Ausgelesen werden sollen Händisch einzutragen. Ich würde daher gern wissen ich die Koordinaten der Punkte "Punkt.n" auslesen und anschließend dem Spline hinzufügen kann.

Mit freundlichen Grüßen

Hans

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Randle
Mitglied
CAD/PLM Consultant


Sehen Sie sich das Profil von Randle an!   Senden Sie eine Private Message an Randle  Schreiben Sie einen Gästebucheintrag für Randle

Beiträge: 529
Registriert: 12.04.2003

Win7 Pro x64/Win10
CATIA V5 R18, R19, R21, R24, R26

erstellt am: 05. Jul. 2019 12:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für z3us1911 10 Unities + Antwort hilfreich

Hallo,

kannst du die Punkte bei (oder vor) der Erzeugung nicht einer Collection hinzufügen. Diese könntest du dann über eine Schleife abfragen, evtl. kannst du auch erst das Spline Objekt erzeugen und im Rahmen der Splinedefinition die Punkte erstellen - das sieht dann im Strukturbaum auch noch etwas aufgeräumter aus (wenn die Punkte nur unter dem Spline Objekt auftauchen).

Gruß
Randle

------------------
Wer für nichts steht, fällt für alles!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

RAA
Mitglied
CAD/PDM-Supporter


Sehen Sie sich das Profil von RAA an!   Senden Sie eine Private Message an RAA  Schreiben Sie einen Gästebucheintrag für RAA

Beiträge: 53
Registriert: 05.08.2009

HP Z420
Intel Xeon 3,6GHz 32GB
Windows 7 Enterprise
V5RR18+19+R22+R24
VB.net 2010

erstellt am: 05. Jul. 2019 13:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für z3us1911 10 Unities + Antwort hilfreich

Hallo,

vielleicht hilft das weiter:
in der CATIA Installation unter win_64\code gibt es eine EXCEL-Datei mit dem Namen
GSD_PointSplineLoftFromExcel.xls
die genau das macht. Erzeugen von Punkten, Splines, Flächen

mfg
Rainer

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

z3us1911
Mitglied


Sehen Sie sich das Profil von z3us1911 an!   Senden Sie eine Private Message an z3us1911  Schreiben Sie einen Gästebucheintrag für z3us1911

Beiträge: 2
Registriert: 05.07.2019

erstellt am: 05. Jul. 2019 13:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

danke für die schnellen Antworten.

@RAA Ich habe tatsächlich schon einmal von der xls-Datei gehört. Ich möchte aber in CatScript besser werden, daher versuche ich mich an der Programierung. Trotzdem Danke schön  .

@Randle Ich hab es tatsächlich geschafft eine Anzahl n an Punkte aus einer Excel-Datei nach Catia zu importieren und direkt einen Spline drüber zu legen. Wie du schon richtig bemerkt hast, ist das was die Übersicht angeht eine mittelschwere Katastrophe. Ich werde mal versuchen das schöner zu gestalten (erstmal rausfinden was collections sind  . Auch dir danke für die Antwort.

Mit freundlichen Grüßen

Hans

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz